import { parse, getOptionsHelp, IConfig, printHelp, Optional } from ".";

const config: IConfig<any> = {
   test: {
      [Optional]: false,
      t1: {
         type: String,
         default: "Auto",
      },
      t2: {
         type: String,
         default: "Auto",
         optional: true,
      },
      t3: {
         type: String,
         description: "T3 is a very important field",
      },
      t4: {
         type: Number,
         default: 1,
      },
      t5: {
         type: Boolean,
         default: false,
      },
      t6: String,
   },
};

printHelp(config);
